package ctxmgr

import (
	"context"

	"gitlab.mashplace.com/mashplace/backend/common/api/grpcctx"
)

// IsTestUser checks specified context contain test user flag
func IsTestUser(ctx context.Context) bool {
	v := ctx.Value(grpcctx.CtxIsTestUser)
	if v == nil {
		return false
	}

	return v.(bool)
}
