module gitlab.mashplace.com/mashplace/backend/offer

go 1.16

replace gitlab.mashplace.com/mashplace/backend/offer/api => ./api

replace gitlab.mashplace.com/mashplace/backend/offer/api/rto => ./api/rto

require (
	github.com/go-bindata/go-bindata/v3 v3.1.3
	github.com/golang/mock v1.6.0
	github.com/golang/protobuf v1.5.3
	github.com/joho/godotenv v1.3.0
	github.com/pkg/errors v0.9.1
	github.com/stretchr/testify v1.8.2
	gitlab.mashplace.com/mashplace/backend/account/api v0.0.0-20230915144324-3c24483bda85
	gitlab.mashplace.com/mashplace/backend/cardpayment/api v0.0.0-20230915144252-a12675dfa5bc
	gitlab.mashplace.com/mashplace/backend/closecom/api v0.0.0-20230915144532-3e1dc4745b65
	gitlab.mashplace.com/mashplace/backend/common/api v0.0.0-20230915144556-d3baf35ae7d2
	gitlab.mashplace.com/mashplace/backend/common/generic v0.0.0-20230915144556-d3baf35ae7d2
	gitlab.mashplace.com/mashplace/backend/common/lib v0.0.0-20230915144556-d3baf35ae7d2
	gitlab.mashplace.com/mashplace/backend/contract/api v0.0.0-20230915144527-1ceea309c498
	gitlab.mashplace.com/mashplace/backend/document/api v0.0.0-20230915144524-079d8b7ce9fc
	gitlab.mashplace.com/mashplace/backend/expenses/api v0.0.0-20230915144521-923fa99853eb
	gitlab.mashplace.com/mashplace/backend/extras/api v0.0.0-20230915144242-c0749cdbcee3
	gitlab.mashplace.com/mashplace/backend/identity/api v0.0.0-20230915144513-4f5ad1ba3aa2
	gitlab.mashplace.com/mashplace/backend/invitation/api v0.0.0-20230915144508-4ac72f9fdc30
	gitlab.mashplace.com/mashplace/backend/invoice/api v0.0.0-20230915144317-5af62231c363
	gitlab.mashplace.com/mashplace/backend/listing/api v0.0.0-20230915144211-f99260a19958
	gitlab.mashplace.com/mashplace/backend/messaging/api v0.0.0-20230915144321-c536191c061d
	gitlab.mashplace.com/mashplace/backend/mixpanel/api v0.0.0-20230327104118-48366d192d36
	gitlab.mashplace.com/mashplace/backend/notification/api v0.0.0-20230915144346-f1d6d3708370
	gitlab.mashplace.com/mashplace/backend/offer/api v0.0.0-20230915144340-910f8ae17bd3
	gitlab.mashplace.com/mashplace/backend/offer/api/rto v0.0.0-20230915144340-910f8ae17bd3
	gitlab.mashplace.com/mashplace/backend/property/api v0.0.0-20230915145031-1ef65ebcea95
	gitlab.mashplace.com/mashplace/backend/schedule/api v0.0.0-20230915144935-bceae6d8912f
	gitlab.mashplace.com/mashplace/backend/signature/api v0.0.0-20230915144906-2549653ac5e9
	gitlab.mashplace.com/mashplace/backend/tenancy/api v0.0.0-20230915144757-3413aea5154e
	gitlab.mashplace.com/mashplace/backend/tokenio/api v0.0.0-20230705141050-f1f242e30689
	gitlab.mashplace.com/mashplace/backend/viewing/api v0.0.0-20230915144659-7a3f6ee102cd
	go.mongodb.org/mongo-driver v1.11.0
	golang.org/x/tools v0.6.0
	google.golang.org/protobuf v1.30.0
)

require (
	github.com/davecgh/go-spew v1.1.1
	github.com/golang-migrate/migrate/v4 v4.14.1 // indirect
	github.com/grpc-ecosystem/go-grpc-middleware v1.2.2 // indirect
	github.com/hashicorp/errwrap v1.1.0 // indirect
	github.com/mailru/easyjson v0.7.6 // indirect
	github.com/oklog/oklog v0.3.2
	github.com/oklog/run v1.1.0 // indirect
	github.com/olivere/elastic v6.2.35+incompatible // indirect
	github.com/opentracing/opentracing-go v1.2.0
	github.com/smartystreets/goconvey v1.7.2
	github.com/uber/jaeger-client-go v2.25.0+incompatible // indirect
	github.com/uber/jaeger-lib v2.4.0+incompatible // indirect
	go.uber.org/dig v1.15.0
)
