package service

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
)

type ListingGetVersionRequest struct {
	PropertyID string
	LandlordID string
}

func (lgvr *ListingGetVersionRequest) Validate() error {
	if lgvr.PropertyID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "property_id")
	}

	return nil
}
