package service

import (
	"fmt"

	listing "gitlab.mashplace.com/mashplace/backend/listing/api"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
)

type ListingUpdateVersionStatusRequest struct {
	VersionID     string
	VersionStatus listing.VersionStatus
}

func (lutir *ListingUpdateVersionStatusRequest) Validate() error {
	if lutir.VersionID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "version_id")
	}

	return nil
}
