package rto

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
)

type SendSetupCompleteRequest struct {
	LandlordID string
	PropertyID string
}

func (sscr *SendSetupCompleteRequest) Validate() error {
	if sscr.LandlordID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "landlord_id")
	}
	if sscr.PropertyID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "property_id")
	}

	return nil
}
