package usecase

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
)

type LandlordApprovedRequest struct {
	LandlordID string
}

func (lar *LandlordApprovedRequest) Validate() error {
	if lar.LandlordID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "landlord_id")
	}

	return nil
}
