package usecase

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
)

type UpdateLeadTenantUserRequest struct {
	RtoID               string
	LeadTenantEmail     string
	LeadTenantPhone     string
	LeadTenantFirstName string
	LeadTenantLastName  string
}

func (ultur *UpdateLeadTenantUserRequest) Validate() error {
	if ultur.RtoID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "rto id")
	}

	return nil
}
