package service_test

import (
	"context"
	"os"
	"testing"
)

var ctx context.Context

func TestMain(m *testing.M) {
	mySetupFunction()
	retCode := m.Run()
	myTeardownFunction()
	os.Exit(retCode)
}

func mySetupFunction() {
	println("start service package testing")

	ctx = context.Background()
}

func myTeardownFunction() {
	println("success end service package testing")
}
