package service

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
)

type IsOwnershipVerifiedRequest struct {
	PropertyID string
}

func (ivvr *IsOwnershipVerifiedRequest) Validate() error {
	if ivvr.PropertyID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "property_id")
	}

	return nil
}
