package rto

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
)

type CanLandlordUpdateRtoRequest struct {
	ID              string
	LandlordID      string
	NeedCheckVeriff bool
}

func (clurr *CanLandlordUpdateRtoRequest) Validate() error {
	if clurr.ID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "id")
	}
	if clurr.LandlordID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "landlord_id")
	}

	return nil
}
