package rto

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
)

type CloseComCreateLeadRequest struct {
	Landlord *rto.Landlord
}

func (ccclr *CloseComCreateLeadRequest) Validate() error {
	if ccclr.Landlord == nil {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "landlord")
	}

	return nil
}

type CloseComCreateLeadDevRequest struct {
	Name      string `json:"name"`
	AccountID string `json:"custom.cf_cUzL2xN9wZkTfuxpesdZu8SPBfXfjDPYJSv4M2b7AHO"`
	AdminUser string `json:"custom.cf_F4HLdw7vyZykVNFERPOSyqqLzUGPytnw6yPdN2BnSRN"`
}

type CloseComCreateLeadProdRequest struct {
	Name      string `json:"name"`
	AccountID string `json:"custom.cf_tUpw58z23kwAFqqKpKhTa2nBYZiw9O6PcFRoabn4MTP"`
	AdminUser string `json:"custom.cf_7VlM6JtQNhg6us0t8EIr4A9yHnVxV28WnhhjztGhEmL"`
}
