package usecase

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
	listing "gitlab.mashplace.com/mashplace/backend/listing/api"
)

type RentPaymentRequest struct {
	ListingVersion *listing.Version
}

func (rpr *RentPaymentRequest) Validate() error {
	if rpr.ListingVersion == nil {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "listing_version")
	}

	return nil
}
