package usecase

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type StandingOrderRequest struct {
	ID primitive.ObjectID
}

func (sor *StandingOrderRequest) Validate() error {
	if sor.ID.IsZero() {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "id")
	}

	return nil
}
