package usecase

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
)

type UpdateStateToEndingRequest struct {
	ID string
}

func (uster *UpdateStateToEndingRequest) Validate() error {
	if uster.ID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "id")
	}

	return nil
}
