package usecase

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
)

type UpdateStateToFinishedRequest struct {
	ID string
}

func (ustfr *UpdateStateToFinishedRequest) Validate() error {
	if ustfr.ID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "id")
	}

	return nil
}
