package usecase

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
)

type UpdateStateToWaitingForPaymentRequest struct {
	ID string
}

func (ustar *UpdateStateToWaitingForPaymentRequest) Validate() error {
	if ustar.ID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "id")
	}

	return nil
}
