package usecase

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
)

type UpdateStateToWaitingForTenantConfirmationRequest struct {
	Rto *domain.Rto
}

func (ustwftcr *UpdateStateToWaitingForTenantConfirmationRequest) Validate() error {
	if ustwftcr.Rto == nil {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "rto")
	}

	return nil
}
