package rto

import "time"

type CloseComCreateLeadResponse struct {
	StatusId    string        `json:"status_id"`
	StatusLabel string        `json:"status_label"`
	Tasks       []interface{} `json:"tasks"`
	DisplayName string        `json:"display_name"`
	Addresses   []struct {
		Address1 string `json:"address_1"`
		Address2 string `json:"address_2"`
		City     string `json:"city"`
		State    string `json:"state"`
		Zipcode  string `json:"zipcode"`
		Country  string `json:"country"`
	} `json:"addresses"`
	Name     string `json:"name"`
	Contacts []struct {
		Name        string    `json:"name"`
		Title       string    `json:"title"`
		DateUpdated time.Time `json:"date_updated"`
		Phones      []struct {
			Phone          string `json:"phone"`
			PhoneFormatted string `json:"phone_formatted"`
			Type           string `json:"type"`
		} `json:"phones"`
		CreatedBy      string    `json:"created_by"`
		Id             string    `json:"id"`
		OrganizationId string    `json:"organization_id"`
		DateCreated    time.Time `json:"date_created"`
		Emails         []struct {
			Type  string `json:"type"`
			Email string `json:"email"`
		} `json:"emails"`
		UpdatedBy string `json:"updated_by"`
	} `json:"contacts"`
	DateUpdated                                         time.Time     `json:"date_updated"`
	HtmlUrl                                             string        `json:"html_url"`
	CreatedBy                                           string        `json:"created_by"`
	CustomCfORxgoOQ5YH1P7LDQzFJ88B4Z0J7PLLTRaG66M8BmcKv string        `json:"custom.cf_ORxgoOQ5YH1p7lDQzFJ88b4z0j7PLLTRaG66m8bmcKv"` //nolint
	CustomCfNenE344JkwrjyRRezwsf8B4V1MCoXWIDHIStmFavZks []string      `json:"custom.cf_nenE344jkwrjyRRezwsf8b4V1MCoXWIDHIStmFavZks"` //nolint
	CustomCfFSYEbxYJFsnY9TN1OTAPIF33J7Sw5Lb7Eawll7JzoNh string        `json:"custom.cf_FSYEbxYJFsnY9tN1OTAPIF33j7Sw5Lb7Eawll7JzoNh"` //nolint
	CustomCfBA7SU4VqaefQLuK5UjZMVpbfHK4SVujTJ9UnKCIlTvI string        `json:"custom.cf_bA7SU4vqaefQLuK5UjZMVpbfHK4SVujTJ9unKCIlTvI"` //nolint
	OrganizationId                                      string        `json:"organization_id"`
	Url                                                 string        `json:"url"`
	Opportunities                                       []interface{} `json:"opportunities"`
	UpdatedBy                                           string        `json:"updated_by"`
	DateCreated                                         time.Time     `json:"date_created"`
	Id                                                  string        `json:"id"`
	Description                                         string        `json:"description"`
}
