package rto

import "time"

type CloseComSaveOpportunityResponse struct {
	OpportunityID string
	LeadID        string
}

type CloseComApiSaveOpportunityResponse struct {
	DateUpdated             time.Time   `json:"date_updated"`
	DateCreated             time.Time   `json:"date_created"`
	DateWon                 interface{} `json:"date_won"`
	ContactId               interface{} `json:"contact_id"`
	UserName                string      `json:"user_name"`
	UserId                  string      `json:"user_id"`
	StatusType              string      `json:"status_type"`
	OrganizationId          string      `json:"organization_id"`
	ValuePeriod             string      `json:"value_period"`
	ValueFormatted          string      `json:"value_formatted"`
	ValueCurrency           string      `json:"value_currency"`
	LeadId                  string      `json:"lead_id"`
	UpdatedBy               string      `json:"updated_by"`
	CreatedBy               string      `json:"created_by"`
	StatusId                string      `json:"status_id"`
	LeadName                string      `json:"lead_name"`
	Note                    string      `json:"note"`
	StatusLabel             string      `json:"status_label"`
	Id                      string      `json:"id"`
	Confidence              int         `json:"confidence"`
	AnnualizedExpectedValue int         `json:"annualized_expected_value"`
	AnnualizedValue         int         `json:"annualized_value"`
	ExpectedValue           int         `json:"expected_value"`
	Value                   int         `json:"value"`
}
